Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CDR.i File Reference

This graph shows which files directly or indirectly include this file:

## Functions
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::Short x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::UShort x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::Long x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::ULong x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::LongLong x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::ULongLong x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::LongDouble x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::Float x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, CORBA::Double x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, const CORBA::Char *x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &os, const CORBA::WChar *x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::Short &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::UShort &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::Long &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::ULong &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::LongLong &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::ULongLong &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::LongDouble &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::Float &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::Double &x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::Char *&x)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &is, CORBA::WChar *&x)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ParameterMode &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ParameterMode &_tao_enumval)

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ParameterMode & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | const CORBA::WChar * | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | const CORBA::Char * | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::Double | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::Float | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::LongDouble | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::ULongLong | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::LongLong | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::ULong | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::Long | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::UShort | x
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | os,
|  | CORBA::Short | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ParameterMode & | _tao_enumval
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::WChar *& | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::Char *& | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::Double & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::Float & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::LongDouble & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::ULongLong & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::LongLong & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::ULong & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::Long & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::UShort & | x
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | is,
|  | CORBA::Short & | x
| ) |